#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using HeuristicLab.Collections;

namespace HeuristicLab.Core {
  public interface ICheckedItemCollection<T> : IItemCollection<T> where T : class, IItem {
    event CollectionItemsChangedEventHandler<T> CheckedItemsChanged;
    IEnumerable<T> CheckedItems { get; }
    bool ItemChecked(T item);
    void SetItemCheckedState(T item, bool checkedState);
    void Add(T item, bool checkedState);
  }
}
